| OpenCV 3.4.1 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cvflann::MinkowskiDistance< T > Struct Template Reference

`#include "dist.h"`

## Public Types
typedef T | ElementType
typedef True | is_kdtree_distance
typedef True | is_vector_space_distance
typedef Accumulator< T >::Type | ResultType

## Public Member Functions
| MinkowskiDistance (int order_)
template<typename U , typename V >
ResultType | accum_dist (const U &a, const V &b, int) const
template<typename Iterator1 , typename Iterator2 >
ResultType | operator() (Iterator1 a, Iterator2 b, size_t size, ResultType worst_dist=-1) const

## Public Attributes
int | order

## Member Typedef Documentation

## § ElementType

template<class T >

typedef T cvflann::MinkowskiDistance< T >::ElementType

## § is_kdtree_distance

template<class T >

typedef True cvflann::MinkowskiDistance< T >::is_kdtree_distance

## § is_vector_space_distance

template<class T >

typedef True cvflann::MinkowskiDistance< T >::is_vector_space_distance

## § ResultType

template<class T >

typedef Accumulator<T>::Type cvflann::MinkowskiDistance< T >::ResultType

## Constructor & Destructor Documentation

## § MinkowskiDistance()

template<class T >

cvflann::MinkowskiDistance< T >::MinkowskiDistance | ( | int | order_ | ) |
| inline

## Member Function Documentation

## § accum_dist()

template<class T >
template<typename U , typename V >

ResultType cvflann::MinkowskiDistance< T >::accum_dist | ( | const U & | a,
|  | const V & | b,
|  | int |
| ) |  | const
| inline

Partial distance, used by the kd-tree.

## § operator()()

template<class T >
template<typename Iterator1 , typename Iterator2 >

ResultType cvflann::MinkowskiDistance< T >::operator() | ( | Iterator1 | a,
|  | Iterator2 | b,
|  | size_t | size,
|  | ResultType | worst_dist = `-1`
| ) |  | const
| inline

Compute the Minkowsky (L_p) distance between two vectors.

This is highly optimised, with loop unrolling, as it is one of the most expensive inner loops.

The computation of squared root at the end is omitted for efficiency.

## Member Data Documentation

## § order

template<class T >

int cvflann::MinkowskiDistance< T >::order

The documentation for this struct was generated from the following file:

- flann/include/opencv2/flann/dist.h